Package com.avaya.clientservices.unifiedportal

## Class VirtualRoom

- java.lang.Object
- - com.avaya.clientservices.unifiedportal.VirtualRoom

-     public class VirtualRoom
      extends java.lang.Object

  Class representing virtual room configured for user.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VirtualRoom​(java.lang.String Id, java.lang.String Name, java.lang.String Description, boolean IsPublic, boolean IsDefault, java.lang.String Number, java.lang.String AccessPIN, java.lang.String ModeratorPIN, boolean IsOneTimePINRequired, java.util.Map<java.lang.String,​java.lang.String> ExtraProperties)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAccessPIN()` |
    `java.lang.String` | `getDescription()` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `getExtraProperties()` |
    `java.lang.String` | `getId()` |
    `java.lang.String` | `getModeratorPIN()` |
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getNumber()` |
    `boolean` | `isDefault()` |
    `boolean` | `isOneTimePINRequired()` |
    `boolean` | `isPublic()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VirtualRoom

          public VirtualRoom​(java.lang.String Id,
                             java.lang.String Name,
                             java.lang.String Description,
                             boolean IsPublic,
                             boolean IsDefault,
                             java.lang.String Number,
                             java.lang.String AccessPIN,
                             java.lang.String ModeratorPIN,
                             boolean IsOneTimePINRequired,
                             java.util.Map<java.lang.String,​java.lang.String> ExtraProperties)

      Constructor.
      Parameters:
        `Id` - the id of the virtual room.
        `Name` - the name of the virtual room.
        `Description` - the description of the virtual room.
        `IsPublic` - indicating whether this virtual room is public.
        `IsDefault` - indicating whether this is default virtual room for the user.
        `Number` - the virtual room number.
        `AccessPIN` - the virtual room PIN.
        `ModeratorPIN` - the virtual room moderator PIN.
        `IsOneTimePINRequired` - indicating whether the one time PIN is required.
        `ExtraProperties` - the map of extra properties the application may be interested in.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Returns:
        Id of the virtual room.

    - #### getName

          public java.lang.String getName()

      Returns:
        Name of the virtual room.

    - #### getDescription

          public java.lang.String getDescription()

      Returns:
        Description of the virtual room.

    - #### isPublic

          public boolean isPublic()

      Returns:
        Boolean value indicating whether this virtual room is public.

    - #### isDefault

          public boolean isDefault()

      Returns:
        A boolean value indicating whether this is default virtual room for the user.

    - #### getNumber

          public java.lang.String getNumber()

      Returns:
        Virtual room number.

    - #### getAccessPIN

          public java.lang.String getAccessPIN()

      Returns:
        Virtual room PIN.

    - #### getModeratorPIN

          public java.lang.String getModeratorPIN()

      Returns:
        Virtual room moderator PIN.

    - #### isOneTimePINRequired

          public boolean isOneTimePINRequired()

      Returns:
        A boolean value indicating whether the one time PIN is required.

    - #### getExtraProperties

          public java.util.Map<java.lang.String,​java.lang.String> getExtraProperties()

      Returns:
        A map of extra properties the application may be interested in. Complex property values are JSON encoded strings.